#ifndef __STDIO_H
#define __STDIO_H
#include <stdio.h>
#endif __STDIO_H
#ifndef __WINDOWS_H
#define __WINDOWS_H
#include <windows.h>
#endif __WINDOWS_H


extern "C" {
	#include "jpeglib.h"
}
#include <setjmp.h>

struct ima_error_mgr {
struct jpeg_error_mgr pub; /* "public" fields */
  jmp_buf setjmp_buffer; /* for return to caller */
};


typedef ima_error_mgr *ima_error_ptr;

void CreateBMPFile(HWND hwnd, LPTSTR pszFile, PBITMAPINFO pbi, 
                  HBITMAP hBMP, HDC hDC)  ;

void errhandler(LPTSTR pszFile, HWND hwnd);

HANDLE DDBToDIB(HBITMAP bitmap, DWORD dwCompression);

BOOL DibToSamps(HANDLE          hDib,
                int                         nSampsPerRow,
                struct jpeg_compress_struct cinfo,
                JSAMPARRAY                  jsmpPixels,
                LPTSTR                    pcsMsg);

BOOL JpegFromDib( HANDLE    hDib,     //Handle to DIB
                 int        nQuality, //JPEG quality (0-100)
                 LPTSTR    csJpeg,   //Pathname to target jpeg file
                 LPTSTR   pcsMsg);  //Error msg to return

BOOL BuildSamps(HANDLE                      hDib,
                int                         nSampsPerRow,
                struct jpeg_compress_struct cinfo,
                JSAMPARRAY                  jsmpArray,
                LPTSTR                    pcsMsg);

RGBQUAD QuadFromWord(WORD b16);

void capturetofile(HWND hPPT);